Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- f
- g
- i
- m
- n
- o
- s
- t
- v

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups

### - _ -

- _tstrcat() : Steinberg
- _tstrcmp() : Steinberg
- _tstrcpy() : Steinberg
- _tstrlen() : Steinberg
- _tstrncmp() : Steinberg
- _tstrncpy() : Steinberg

### - a -

- Abs() : Steinberg
- atomicAdd() : Steinberg::FUnknownPrivate

### - b -

- BlendColor() : Steinberg
- Bound() : Steinberg

### - c -

- cast() : Steinberg::FUnknownImpl
- CharToVirtualKeyCode() : Steinberg

### - d -

- DenormalizeAlpha() : Steinberg
- DenormalizeColorComponent() : Steinberg

### - f -

- FIDStringsEqual() : Steinberg
- FromNormalized() : Steinberg

### - g -

- GetAlpha() : Steinberg
- GetAlphaNorm() : Steinberg
- GetBlue() : Steinberg
- GetGreen() : Steinberg
- GetRed() : Steinberg
- getTUID() : Steinberg , Steinberg::FUnknownImpl

### - i -

- iidEqual() : Steinberg::FUnknownPrivate
- IsApproximateEqual() : Steinberg
- isModifierOnlyKey() : Steinberg::KeyCodes

### - m -

- MakeColorSpec() : Steinberg
- Max() : Steinberg
- Min() : Steinberg

### - n -

- NormalizeAlpha() : Steinberg
- NormalizeColorComponent() : Steinberg

### - o -

- operator!=() : Steinberg
- operator==() : Steinberg
- owned() : Steinberg

### - s -

- SetAlpha() : Steinberg
- SetAlphaNorm() : Steinberg
- SetBlue() : Steinberg
- SetGreen() : Steinberg
- SetRed() : Steinberg
- shared() : Steinberg
- Sign() : Steinberg
- str16Empty() : Steinberg
- str8Empty() : Steinberg
- str8ToStr16() : Steinberg
- strcat16() : Steinberg
- strcat8() : Steinberg
- strcmp16() : Steinberg
- strcmp8() : Steinberg
- strcmpT() : Steinberg
- strcmpT< char16 >() : Steinberg
- strcmpT< char8 >() : Steinberg
- strcpy16() : Steinberg
- strcpy8() : Steinberg
- strEmpty() : Steinberg
- StringCopy() : Steinberg
- StringLength() : Steinberg
- StripAlpha() : Steinberg
- strlen16() : Steinberg
- strlen8() : Steinberg
- strncmp16() : Steinberg
- strncmp8() : Steinberg
- strncmpT() : Steinberg
- strncmpT< char16 >() : Steinberg
- strncmpT< char8 >() : Steinberg
- strncpy16() : Steinberg
- strncpy8() : Steinberg
- Swap() : Steinberg

### - t -

- ToNormalized() : Steinberg
- toOpposite() : Steinberg::GeoConstants
- toOrientation() : Steinberg::GeoConstants
- toOrthogonalOrientation() : Steinberg::GeoConstants
- tstrcat() : Steinberg
- tstrcmp() : Steinberg
- tstrcpy() : Steinberg
- tstrlen() : Steinberg
- tstrncmp() : Steinberg
- tstrncpy() : Steinberg

### - v -

- VirtualKeyCodeToChar() : Steinberg

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.